summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh27
1 files changed, 24 insertions, 3 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index fcc64ac94..b96a92e8f 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -31,9 +31,6 @@ if [[ -n $ADK_NATIVE ]];then
if [[ -n $ADK_TARGET_PACKAGE_RPM ]]; then
NEED_RPM="$NEED_RPM rpm"
fi
- if [[ -n $ADK_PACKAGE_SQUID ]]; then
- NEED_GXX="$NEED_GXX squid"
- fi
fi
if [[ -n $ADK_PACKAGE_RUBY ]]; then
@@ -58,6 +55,7 @@ fi
if [[ -n $ADK_PACKAGE_SQUID ]]; then
NEED_SSLDEV="$NEED_SSLDEV squid"
+ NEED_GXX="$NEED_GXX squid"
fi
if [[ -n $ADK_PACKAGE_DANSGUARDIAN ]]; then
@@ -88,6 +86,22 @@ if [[ -n $ADK_PACKAGE_EGLIBC ]]; then
NEED_GPERF="$NEED_GPERF eglibc"
fi
+if [[ -n $ADK_PACKAGE_FONT_BITSTREAM_100DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-100dpi"
+fi
+
+if [[ -n $ADK_PACKAGE_FONT_BITSTREAM_75DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-bitstream-75dpi"
+fi
+
+if [[ -n $ADK_PACKAGE_FONT_ADOBE_100DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-adobe-100dpi"
+fi
+
+if [[ -n $ADK_PACKAGE_FONT_ADOBE_75DPI ]]; then
+ NEED_MKFONTDIR="$NEED_MKFONTDIR font-adobe-75dpi"
+fi
+
if [[ -n $NEED_GETTEXT ]]; then
if ! which xgettext >/dev/null 2>&1; then
echo >&2 You need gettext to build $NEED_GETTEXT
@@ -116,6 +130,13 @@ if [[ -n $NEED_SSLDEV ]]; then
fi
fi
+if [[ -n $NEED_MKFONTDIR ]]; then
+ if ! which mkfontdir >/dev/null 2>&1; then
+ echo >&2 You need mkfontdir to build $NEED_MKFONTDIR
+ out=1
+ fi
+fi
+
if [[ -n $NEED_INTL ]]; then
if ! which intltool-update >/dev/null 2>&1; then
echo >&2 You need intltool-update to build $NEED_INTL